Subject: Re: [Mipshop] Re: [16NG] FW: Call for Review on FMIP6 over IEEE802.16e Networks

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 4 Jun 2007 12:04:37 -0700 (PDT)

Hi Rajeev,
  Please kindly see inline.

--behcet

----- Original Message ----
From: Rajeev Koodli <[email-masked]>
To: [email-masked]; Frank Xia <[email-masked]>
Cc: [email-masked]; [email-masked]; ??? <[email-masked]>
Sent: Monday, June 4, 2007 12:56:46 PM
Subject: Re: [Mipshop] Re: [16NG] FW: Call for Review on FMIP6 over IEEE802.16e Networks

Re: [Mipshop] Re: [16NG] FW: Call for Review on FMIP6 over IEEE802.16e Networks

As far as I see, there is no problem here!

It does not matter what you call the prefix advertised in PrRtAdv. RFC 4068 does not make assumptions about how the prefixes are assigned and managed on an AR’s link. So, it is inaccurate to say as such in draft-xia-mipshop-fmip-ptp-00.txt. 

So, if prefix A is advertised in PrRtAdv, and a MN formulates a prospective address IP-A and sends FBU, IP-A can be overridden by NAR in HAck.

Section 6.2.2

              Code        3: Handover Accepted, NCoA assigned

                             (used in Assigned addressing)

The supplied NCoA is provided in FBack or NAACK option.

This is the way I understood the problem and the solution for ptp links.

What am I missing?

[behcet] Hi/Hack exchange is used in predictive mode, not used in reactive mode. 
Even for the predictive mode with Code 3, some changes are needed in the current text.

-Rajeev

On 6/3/07 9:44 PM, "ext Heejin Jang" <[email-masked]> wrote:

Hi, Frank & Daniel.

RFC4068 describes fast HO procedure based on prediction, including NCoA formulation in advance.

However, how to allocate the prefix to MN in NAR (before actual HO) is out of scope in this document

as mentioned in Section 4.

"The method by which Access Routers exchange information about their neighbors, and thereby allow

  construction of Proxy Router  Advertisements with information about neighboring subnets is outside

  the scope of this document."

Furthermore, the problem you mentioned in draft-xia-mipshop-fmip-ptp-00 is not limited only to 802.16 networks

but happens all networks which have point-to-point link such as 3GPP2.

I think that it is proper to handle this problem separately.

Thanks for your opinion.

- Regards,

Heejin

------- Original Message -------

Sender : Frank Xia<[email-masked]>

Date   : 2007-06-01 06:50

Title  : [Mipshop] Re: [16NG] FW: Call for Review on FMIP6 over IEEE 802.16e    Networks

Hi Daniel

Here is my two cents.

The draft is based on RFC4068, and point-to-point link model is also recommended .

RFC4068 is based on shared link model, and is not applicable for point-to-point link model without modification.

So,  there are some basic conflicts in the draft.

Formulation of  a prospective NCoA  is a main idea of  RFC4068.

But in Point-to-Point link model, it is impossible to formulate the NCoA

according to  RFC4068 because there is no proper prefix.

BR

Frank

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Rajeev Koodli <[email-masked]>
Date: Mon, 04 Jun 2007 12:43:50 -0700

Hi Bechet,

On 6/4/07 12:04 PM, "ext Behcet Sarikaya" <[email-masked]> wrote:

> Rajeev:> HI/Hack exchange is not forbidden in reactive mode. Please point out
> any text suggesting this, and I will clarify.
> 
> Rajeev:> It would be useful to point out what those changes are and discuss
> :-)
> 
> -Rajeev
> 
-- 
http://people.nokia.net/~rajeev